Skip to content
Start here

Request review on mitigations

POST/accounts/{account_id}/abuse-reports/{report_id}/mitigations/appeal

Request a review for mitigations on an account.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety Write
Path ParametersExpand Collapse
account_id: string
maxLength32
report_id: string
Body ParametersJSONExpand Collapse
appeals: array of { id, reason }

List of mitigations to appeal.

id: string

ID of the mitigation to appeal.

reason: "removed" or "misclassified"

Reason why the customer is appealing.

One of the following:
"removed"
"misclassified"
ReturnsExpand Collapse
result_info: { count, page, per_page, 2 more }
count: number
page: number
per_page: number
total_count: number
total_pages: number
success: boolean
errors: optional array of { message }
message: string
messages: optional array of { message }
message: string
result: optional array of { id, effective_date, entity_id, 3 more }
id: string

ID of remediation.

effective_date: string

Date when the mitigation will become active. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

entity_id: string
entity_type: "url_pattern" or "account" or "zone"
One of the following:
"url_pattern"
"account"
"zone"
status: "pending" or "active" or "in_review" or 2 more

The status of a mitigation

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
type: "legal_block" or "misleading_interstitial" or "phishing_interstitial" or 4 more

The type of mitigation

One of the following:
"legal_block"
"misleading_interstitial"
"phishing_interstitial"
"network_block"
"rate_limit_cache"
"account_suspend"
"redirect_video_stream"

Request review on mitigations

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/abuse-reports/$REPORT_ID/mitigations/appeal \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "appeals": [
            {
              "id": "id",
              "reason": "misclassified"
            }
          ]
        }'
{
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  },
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "id",
      "effective_date": "2009-11-10T23:00:00Z",
      "entity_id": "entity_id",
      "entity_type": "url_pattern",
      "status": "pending",
      "type": "legal_block"
    }
  ]
}
Returns Examples
{
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  },
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "id",
      "effective_date": "2009-11-10T23:00:00Z",
      "entity_id": "entity_id",
      "entity_type": "url_pattern",
      "status": "pending",
      "type": "legal_block"
    }
  ]
}